Skip to main content

Create access token

POST 

/jwt/token

Use the Merchant ID and Secret Key | Publishable Key to generate an access token. The returned access token should be used when authorizing future API requests with the Authorization: Bearer <token> header

Request

Body

required

    merchant_id uuidrequired

    Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

    UUID v4

    key stringrequired

    Secret or Publishable Key

Responses

Successfully exchanged the code to create a token

Schema

    status string

    Possible values: [success]

    data

    object

    Token response

    token AccessToken (string)

    Possible values: <= 4096 characters

    String passed to the authorization server to gain access to the system

    expires_in int32

    Number of seconds the token is valid for.

    code integer

    Possible values: [200]

    message string

    Possible values: [Successful request]

Loading...